import matplotlib.pyplot as plt
import pandas as pd

#Importamos el Excel, la hoja llamada "Mi biblioteca"
df = pd.read_excel(r'C:\Users\Alejandro Flores\Downloads\Python\Visualización de datos\Blog\Archivo a importar.xlsx', sheet_name='Mi biblioteca')

#Saber sólo los nombres de las columnas
print(df.columns)

#Agrupamos el total de páginas por autor
paginas_por_autor = df.groupby('Autor')['N° Páginas'].sum()
print(paginas_por_autor)

#Ordenar de mayor a menor, en término de número de páginas
ordenar_mayor_a_menor = paginas_por_autor.sort_values(ascending=False)
print(ordenar_mayor_a_menor)

#Escogemos sólo los siete mayores
cinco_mayores = ordenar_mayor_a_menor.head(7)
print(cinco_mayores)

#Guardamos en lista a los autores siete mayores números de páginas y sus respectivas cifras
autores_siete_mayores = cinco_mayores.index.tolist()
valores_siete_mayores = cinco_mayores.values.tolist()
print(autores_siete_mayores)
print(valores_siete_mayores)

plt.bar(autores_siete_mayores, valores_siete_mayores)
plt.title('Top 7 autores con mayor cantidad de páginas')
plt.xlabel('Autores')
plt.ylabel('Número de páginas')
plt.show()
